<div class="row" id="lanipDiv">
    <div class="col-lg-12">
        <div class="panel panel-default ">
            <div class="panel-heading">
                <h4  style="text-transform: uppercase">
                    <span class="circle active"></span>
                    {{t($lang.lanip.lanIP)}}
                </h4>
                <gl-btn type="purple" class="pull-right" @click="setLanIP" :disabled="inputStatus != 'success' || btnMove">{{t($lang.button.apply)}}</gl-btn>
            </div>
            <div class="panel-body panel-status">
                <div class="list-group">
                    <div class="alert list-group-item" id="idSetIpAlertMsg" :class="{'alert-info':inputStatus==null,'alert-danger':inputStatus=='error','alert-success':inputStatus=='success'}">{{t(alertMsg)}}: 192.168.x.x , 172.x(16-31).x.x or 10.x.x.x</div>
                    <span class="list-group-item">
                        <br/>
                        <div id="idInputIp" :class="{'has-success':inputStatus=='success','has-error':inputStatus=='error'}" >
                            <div class="input-group">
                                <span class="input-group-addon" style="text-transform: uppercase">{{t($lang.lanip.lanIP)}}</span>
                                <input type="text" class="form-control" id="idSetIpInput" maxlength="15" v-model="laninfo.ip" @input="validate" @keyup.enter="setLanIP" :placeholder="$lang.holdPlace.required"/>
                            </div>
                        </div>
                    </span>
                </div>
            </div>
        </div>
    </div>
</div>